Index: contrib/README
===================================================================
--- contrib/README	(.../1.0.1)	(revision 183)
+++ contrib/README	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-$Id: README 33 2005-10-02 20:50:00Z knight $
+$Id$
+$Hybrid: README 33 2005-10-02 20:50:00Z knight $
 -----------------------------------------------
 
 ircd-hybrid contributive add-ons ::

Index: contrib/m_opme.c
===================================================================
--- contrib/m_opme.c	(.../1.0.1)	(revision 183)
+++ contrib/m_opme.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_opme.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_opme.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -61,7 +62,7 @@
   mod_del_cmd(&opme_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 static int

Index: contrib/m_ctrace.c
===================================================================
--- contrib/m_ctrace.c	(.../1.0.1)	(revision 183)
+++ contrib/m_ctrace.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_ctrace.c 309 2005-12-09 11:25:44Z adx $
+ *  $Id$
+ *  $Hybrid: m_ctrace.c 309 2005-12-09 11:25:44Z adx $
  */
 
 #include "stdinc.h"
@@ -51,7 +52,7 @@
 };
 
 #ifndef STATIC_MODULES
-const char *_version = "$Revision: 309 $";
+const char *_version = "$Revision$";
 static struct Callback *ctrace_cb;
 
 static void *

Index: contrib/ip_cloaking.c
===================================================================
--- contrib/ip_cloaking.c	(.../1.0.1)	(revision 183)
+++ contrib/ip_cloaking.c	(.../1.0.2)	(revision 183)
@@ -31,7 +31,8 @@
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  * USA
  *
- * $Id: ip_cloaking.c 698 2006-06-22 09:34:55Z michael $
+ * $Id$
+ * $Hybrid: ip_cloaking.c 698 2006-06-22 09:34:55Z michael $
  */
 
 /*
@@ -73,7 +74,7 @@
 static dlink_node *prev_enter_umode;
 static dlink_node *prev_umode;
 
-const char *_version = "$Revision: 698 $";
+const char *_version = "$Revision$";
 
 static void *reset_ipv6err_flag(va_list);
 static void *h_set_user_mode(va_list);

Index: contrib/m_jupe.c
===================================================================
--- contrib/m_jupe.c	(.../1.0.1)	(revision 183)
+++ contrib/m_jupe.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_jupe.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_jupe.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -66,7 +67,7 @@
   mod_del_cmd(&jupe_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: contrib/spy_info_notice.c
===================================================================
--- contrib/spy_info_notice.c	(.../1.0.1)	(revision 183)
+++ contrib/spy_info_notice.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: spy_info_notice.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: spy_info_notice.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -50,7 +51,7 @@
     uninstall_hook(info_cb, show_info);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 
 static void *
 show_info(va_list args)

Index: contrib/m_ojoin.c
===================================================================
--- contrib/m_ojoin.c	(.../1.0.1)	(revision 183)
+++ contrib/m_ojoin.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_ojoin.c 537 2006-03-24 09:42:22Z michael $
+ *  $Id$
+ *  $Hybrid: m_ojoin.c 537 2006-03-24 09:42:22Z michael $
  */
 
 #include "stdinc.h"
@@ -59,7 +60,7 @@
   mod_del_cmd(&ojoin_msgtab);
 }
 
-const char *_version = "$Revision: 537 $";
+const char *_version = "$Revision$";
 #endif
 
 /* mo_ojoin()

Index: contrib/m_clearchan.c
===================================================================
--- contrib/m_clearchan.c	(.../1.0.1)	(revision 183)
+++ contrib/m_clearchan.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_clearchan.c 616 2006-05-22 07:10:56Z michael $
+ *  $Id$
+ *  $Hybrid: m_clearchan.c 616 2006-05-22 07:10:56Z michael $
  */
 
 #include "stdinc.h"
@@ -66,7 +67,7 @@
   mod_del_cmd(&clearchan_msgtab);
 }
 
-const char *_version = "$Revision: 616 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: doxygen.conf
===================================================================
--- doxygen.conf	(.../1.0.1)	(revision 183)
+++ doxygen.conf	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-# $Id: doxygen.conf 685 2006-06-16 12:22:31Z michael $
+# $Id$
+# $Hybrid: doxygen.conf 685 2006-06-16 12:22:31Z michael $
 
 # The PROJECT_NAME tag is a single word (or a sequence of words surrounded 
 # by quotes) that should identify the project.

Index: README.PLATFORMS
===================================================================
--- README.PLATFORMS	(.../1.0.1)	(revision 183)
+++ README.PLATFORMS	(.../1.0.2)	(revision 183)
@@ -24,4 +24,5 @@
 x86          MS Visual C++    Windows       Piotr Nizynski <adx@irc7.pl>
 x86          Borland C++ 5.5  Windows       Piotr Nizynski <adx@irc7.pl>
 
-$Id: README.PLATFORMS 33 2005-10-02 20:50:00Z knight $
+$Id$
+$Hybrid: README.PLATFORMS 33 2005-10-02 20:50:00Z knight $

Index: configure.ac
===================================================================
--- configure.ac	(.../1.0.1)	(revision 183)
+++ configure.ac	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-dnl $Id: configure.ac 715 2006-07-14 21:01:55Z michael $
+dnl $Id$
+dnl $Hybrid: configure.ac 715 2006-07-14 21:01:55Z michael $
 dnl Process this file with autoconf to produce a configure script.
 
 dnl TODO: clean up all the OpenSSL and shared module checking stuff;
@@ -8,9 +9,10 @@
 AC_PREREQ(2.57)
 
 dnl Sneaky way to get an Id tag into the configure script
-AC_COPYRIGHT([$Id: configure.ac 715 2006-07-14 21:01:55Z michael $])
+AC_COPYRIGHT([$Id$])
+AC_COPYRIGHT([$Hybrid: configure.ac 715 2006-07-14 21:01:55Z michael $])
 
-AC_INIT([ircd-hybrid],[7.2.2])
+AC_INIT([esphyb],[1.0.x])
 
 AC_CONFIG_HEADER(include/setup.h)
 
@@ -906,7 +908,7 @@
 
 AC_ARG_WITH(nicklen,
 AC_HELP_STRING([--with-nicklen=LENGTH],[Set the nick length to LENGTH (default 9)]),
-	NICKLEN="$withval", NICKLEN="9")
+	NICKLEN="$withval", NICKLEN="30")
 
 AC_ARG_WITH(topiclen,           
 AC_HELP_STRING([--with-topiclen=NUMBER],[Set the max topic length to NUMBER (default 390, max 390)]),

Index: doc/server-version-info
===================================================================
--- doc/server-version-info	(.../1.0.1)	(revision 183)
+++ doc/server-version-info	(.../1.0.2)	(revision 183)
@@ -1,6 +1,7 @@
                               Server VERSION Info
 
-   $Id: server-version-info 33 2005-10-02 20:50:00Z knight $
+   $Id$
+   $Hybrid: server-version-info 33 2005-10-02 20:50:00Z knight $
 
    Copyright (c) 2005 by ircd-hybrid team
 

Index: doc/technical/README.openssl
===================================================================
--- doc/technical/README.openssl	(.../1.0.1)	(revision 183)
+++ doc/technical/README.openssl	(.../1.0.2)	(revision 183)
@@ -1,6 +1,7 @@
 Getting OpenSSL to work with hybrid-7
 =====================================
-$Id: README.openssl 33 2005-10-02 20:50:00Z knight $
+$Id$
+$Hybrid: README.openssl 33 2005-10-02 20:50:00Z knight $
 
 PREFACE
 =======

Index: TODO
===================================================================
--- TODO	(.../1.0.1)	(revision 183)
+++ TODO	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-$Id: TODO 555 2006-04-22 09:39:44Z michael $
+$Id$
+$Hybrid: TODO 555 2006-04-22 09:39:44Z michael $
 
 - dynamically extensible parser for modules
 

Index: Hybrid-team
===================================================================
--- Hybrid-team	(.../1.0.1)	(revision 183)
+++ Hybrid-team	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-$Id: Hybrid-team 33 2005-10-02 20:50:00Z knight $
+$Id$
+$Hybrid: Hybrid-team 33 2005-10-02 20:50:00Z knight $
 
 The hybrid team is a group of ircd coders who were frustrated
 with the instability and all-out "dirtiness" of the EFnet ircd's

Index: INSTALL
===================================================================
--- INSTALL	(.../1.0.1)	(revision 183)
+++ INSTALL	(.../1.0.2)	(revision 183)
@@ -1,6 +1,7 @@
                             Hybrid INSTALL Document
 
-   $Id: INSTALL 685 2006-06-16 12:22:31Z michael $
+   $Id$
+   $Hybrid: INSTALL 685 2006-06-16 12:22:31Z michael $
 
    Copyright (c) 1997-2006 IRCD-Hybrid Development Team
 

Index: lib/pcre/pcre.h
===================================================================
--- lib/pcre/pcre.h	(.../1.0.1)	(revision 183)
+++ lib/pcre/pcre.h	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-/* $Id: pcre.h 33 2005-10-02 20:50:00Z knight $ */
+/* $Id$ */
+/* $Hybrid: pcre.h 33 2005-10-02 20:50:00Z knight $ */
 
 /*************************************************
 *       Perl-Compatible Regular Expressions      *

Index: lib/pcre/LICENCE
===================================================================
--- lib/pcre/LICENCE	(.../1.0.1)	(revision 183)
+++ lib/pcre/LICENCE	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-/* $Id: LICENCE 33 2005-10-02 20:50:00Z knight $ */
+/* $Id$ */
+/* $Hybrid: LICENCE 33 2005-10-02 20:50:00Z knight $ */
 
 PCRE LICENCE
 ------------

Index: lib/pcre/pcre_chartables.c
===================================================================
--- lib/pcre/pcre_chartables.c	(.../1.0.1)	(revision 183)
+++ lib/pcre/pcre_chartables.c	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-/* $Id: pcre_chartables.c 33 2005-10-02 20:50:00Z knight $ */
+/* $Id$ */
+/* $Hybrid: pcre_chartables.c 33 2005-10-02 20:50:00Z knight $ */
 
 /*************************************************
 *      Perl-Compatible Regular Expressions       *

Index: lib/pcre/pcre_compile.c
===================================================================
--- lib/pcre/pcre_compile.c	(.../1.0.1)	(revision 183)
+++ lib/pcre/pcre_compile.c	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-/* $Id: pcre_compile.c 33 2005-10-02 20:50:00Z knight $ */
+/* $Id$ */
+/* $Hybrid: pcre_compile.c 33 2005-10-02 20:50:00Z knight $ */
 
 /*************************************************
 *      Perl-Compatible Regular Expressions       *

Index: lib/pcre/pcre_study.c
===================================================================
--- lib/pcre/pcre_study.c	(.../1.0.1)	(revision 183)
+++ lib/pcre/pcre_study.c	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-/* $Id: pcre_study.c 33 2005-10-02 20:50:00Z knight $ */
+/* $Id$ */
+/* $Hybrid: pcre_study.c 33 2005-10-02 20:50:00Z knight $ */
 
 /*************************************************
 *      Perl-Compatible Regular Expressions       *

Index: lib/pcre/pcre_tables.c
===================================================================
--- lib/pcre/pcre_tables.c	(.../1.0.1)	(revision 183)
+++ lib/pcre/pcre_tables.c	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-/* $Id: pcre_tables.c 33 2005-10-02 20:50:00Z knight $ */
+/* $Id$ */
+/* $Hybrid: pcre_tables.c 33 2005-10-02 20:50:00Z knight $ */
 
 /*************************************************
 *      Perl-Compatible Regular Expressions       *

Index: lib/pcre/AUTHORS
===================================================================
--- lib/pcre/AUTHORS	(.../1.0.1)	(revision 183)
+++ lib/pcre/AUTHORS	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-/* $Id: AUTHORS 33 2005-10-02 20:50:00Z knight $ */
+/* $Id$ */
+/* $Hybrid: AUTHORS 33 2005-10-02 20:50:00Z knight $ */
 
 THE MAIN PCRE LIBRARY
 ---------------------

Index: lib/pcre/pcre_fullinfo.c
===================================================================
--- lib/pcre/pcre_fullinfo.c	(.../1.0.1)	(revision 183)
+++ lib/pcre/pcre_fullinfo.c	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-/* $Id: pcre_fullinfo.c 33 2005-10-02 20:50:00Z knight $ */
+/* $Id$ */
+/* $Hybrid: pcre_fullinfo.c 33 2005-10-02 20:50:00Z knight $ */
 
 /*************************************************
 *      Perl-Compatible Regular Expressions       *

Index: lib/pcre/pcre_internal.h
===================================================================
--- lib/pcre/pcre_internal.h	(.../1.0.1)	(revision 183)
+++ lib/pcre/pcre_internal.h	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-/* $Id: pcre_internal.h 33 2005-10-02 20:50:00Z knight $ */
+/* $Id$ */
+/* $Hybrid: pcre_internal.h 33 2005-10-02 20:50:00Z knight $ */
 
 /*************************************************
 *      Perl-Compatible Regular Expressions       *

Index: lib/pcre/pcre_try_flipped.c
===================================================================
--- lib/pcre/pcre_try_flipped.c	(.../1.0.1)	(revision 183)
+++ lib/pcre/pcre_try_flipped.c	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-/* $Id: pcre_try_flipped.c 33 2005-10-02 20:50:00Z knight $ */
+/* $Id$ */
+/* $Hybrid: pcre_try_flipped.c 33 2005-10-02 20:50:00Z knight $ */
 
 /*************************************************
 *      Perl-Compatible Regular Expressions       *

Index: lib/pcre/README
===================================================================
--- lib/pcre/README	(.../1.0.1)	(revision 183)
+++ lib/pcre/README	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-/* $Id: README 668 2006-06-11 13:39:25Z michael $ */
+/* $Id$ */
+/* $Hybrid: README 668 2006-06-11 13:39:25Z michael $ */
 
 
 PCRE (Perl Compatible Regular Expression) library version 6.4 (latest as

Index: lib/pcre/pcre_globals.c
===================================================================
--- lib/pcre/pcre_globals.c	(.../1.0.1)	(revision 183)
+++ lib/pcre/pcre_globals.c	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-/* $Id: pcre_globals.c 33 2005-10-02 20:50:00Z knight $ */
+/* $Id$ */
+/* $Hybrid: pcre_globals.c 33 2005-10-02 20:50:00Z knight $ */
 
 /*************************************************
 *      Perl-Compatible Regular Expressions       *

Index: lib/pcre/pcre_exec.c
===================================================================
--- lib/pcre/pcre_exec.c	(.../1.0.1)	(revision 183)
+++ lib/pcre/pcre_exec.c	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-/* $Id: pcre_exec.c 33 2005-10-02 20:50:00Z knight $ */
+/* $Id$ */
+/* $Hybrid: pcre_exec.c 33 2005-10-02 20:50:00Z knight $ */
 
 /*************************************************
 *      Perl-Compatible Regular Expressions       *

Index: messages/ircd-italian.lang
===================================================================
--- messages/ircd-italian.lang	(.../1.0.1)	(revision 183)
+++ messages/ircd-italian.lang	(.../1.0.2)	(revision 183)
@@ -1,7 +1,8 @@
 ; ircd-hybrid-7 custom message file
 ; Copyright (C) 2007 Afaa (http://www.ircd-hybrid.it)
 ; Federico Giovannini <afaa@ircd-hybrid.it>
-; $Id: ircd-italian.lang 33 2007-12-18 09:31:00Z Afaa $
+; $Id$
+; $Hybrid: ircd-italian.lang 33 2007-12-18 09:31:00Z Afaa $
 
 RPL_WELCOME:		 :%s 001 %s :Benvenuto su %s Internet Relay Chat Network %s
 RPL_YOURHOST:		 :%s 002 %s :Hostname del server è %s, versione corrente %s

Index: messages/ircd-russian.lang
===================================================================
--- messages/ircd-russian.lang	(.../1.0.1)	(revision 183)
+++ messages/ircd-russian.lang	(.../1.0.2)	(revision 183)
@@ -1,7 +1,8 @@
 ; ircd-hybrid-7 custom message file
 ; Copyright (C) 2003
 ; Ilya Shtift <ishtift@tagil.svrw.ru>, 2003.
-; $Id: ircd-russian.lang 33 2005-10-02 20:50:00Z knight $
+; $Id$
+; $Hybrid: ircd-russian.lang 33 2005-10-02 20:50:00Z knight $
 
 RPL_WELCOME:             :%s 001 %s :Äîáðî ïîæàëîâàòü â %s Internet Relay Chat Network %s
 RPL_YOURHOST:            :%s 002 %s :Âàø ñåðâåð %s, âåðñèÿ %s

Index: messages/ircd-norwegian.lang
===================================================================
--- messages/ircd-norwegian.lang	(.../1.0.1)	(revision 183)
+++ messages/ircd-norwegian.lang	(.../1.0.2)	(revision 183)
@@ -1,7 +1,8 @@
 ; SOME DESCRIPTIVE TITLE.
 ; Copyright (C) YEAR Free Software Foundation, Inc.
 ; FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
-; $Id: ircd-norwegian.lang 33 2005-10-02 20:50:00Z knight $
+; $Id$
+; $Hybrid: ircd-norwegian.lang 33 2005-10-02 20:50:00Z knight $
 
 RPL_WELCOME:             :%s 001 %s :Velkommen til %s Internet Relay Nettverket %s
 RPL_YOURHOST:            :%s 002 %s :Verten din er %s, som bruker versjon %s

Index: messages/ircd-standard.example.lang
===================================================================
--- messages/ircd-standard.example.lang	(.../1.0.1)	(revision 183)
+++ messages/ircd-standard.example.lang	(.../1.0.2)	(revision 183)
@@ -1,6 +1,7 @@
 ; ircd-hybrid-7 standard message file - for reference only
 ; Copyright (C) 2003 Joshua Kwan <joshk@triplehelix.org>
-; $Id: ircd-standard.example.lang 660 2006-06-09 18:51:22Z adx $
+; $Id$
+; $Hybrid: ircd-standard.example.lang 660 2006-06-09 18:51:22Z adx $
 
 ; Use this file as a starting point for translating everything into the
 ; language you need. This file contains all of the defined events in 

Index: messages/custom.lang
===================================================================
--- messages/custom.lang	(.../1.0.1)	(revision 183)
+++ messages/custom.lang	(.../1.0.2)	(revision 183)
@@ -1,5 +1,6 @@
 ; A compilation of original h5/h6/bsdnet numerics
-; $Id: custom.lang 33 2005-10-02 20:50:00Z knight $
+; $Id$
+; $Hybrid: custom.lang 33 2005-10-02 20:50:00Z knight $
 
 RPL_CREATED:           :%s 003 %s :This server rose from the ashes %s
 RPL_STATSUPTIME:       :%s 242 %s :Dianora hasn't messed with the server code now in %d days, %d:%02d:%02d

Index: messages/ayb.lang
===================================================================
--- messages/ayb.lang	(.../1.0.1)	(revision 183)
+++ messages/ayb.lang	(.../1.0.2)	(revision 183)
@@ -1,7 +1,8 @@
 ; ircd-hybrid-7 custom message file
 ; Copyright (C) 2000
 ; David Taylor <davidt@yadt.co.uk>, 2000.
-; $Id: ayb.lang 33 2005-10-02 20:50:00Z knight $
+; $Id$
+; $Hybrid: ayb.lang 33 2005-10-02 20:50:00Z knight $
 
 RPL_WELCOME:             :%s 001 %s :ALL YOUR BASE ARE BELONG TO %s, %s!!!
 RPL_CREATED:             :%s 003 %s :Someone set up us the server %s

Index: messages/README
===================================================================
--- messages/README	(.../1.0.1)	(revision 183)
+++ messages/README	(.../1.0.2)	(revision 183)
@@ -40,4 +40,5 @@
 to bugs@ircd-hybrid.org, hybrid@ircd-hybrid.org, or directly to one of the people
 who work with the translations.
 
-$Id: README 831 2006-12-19 15:52:19Z michael $
+$Id$
+$Hybrid: README 831 2006-12-19 15:52:19Z michael $

Index: messages/ircd-polish.lang
===================================================================
--- messages/ircd-polish.lang	(.../1.0.1)	(revision 183)
+++ messages/ircd-polish.lang	(.../1.0.2)	(revision 183)
@@ -1,7 +1,8 @@
 ; ircd-hybrid-7 custom message file
 ; Copyright (C) 2003-2005, Piotr Ni¿yñski <adx@irc7.pl>
 ; Coding: ISO-8859-2 * CP-1250
-; $Id: ircd-polish.lang 660 2006-06-09 18:51:22Z adx $
+; $Id$
+; $Hybrid: ircd-polish.lang 660 2006-06-09 18:51:22Z adx $
 
 RPL_WELCOME:            :%s 001 %s :Witaj w sieci IRC %s, %s
 RPL_YOURHOST:           :%s 002 %s :Twój host to %s, obecna wersja %s

Index: messages/ircd-croatian.lang
===================================================================
--- messages/ircd-croatian.lang	(.../1.0.1)	(revision 183)
+++ messages/ircd-croatian.lang	(.../1.0.2)	(revision 183)
@@ -1,7 +1,8 @@
 ; ircd-hybrid-7 custom message file
 ; Copyright (C) 2000
 ; David Taylor <davidt@yadt.co.uk>, 2000.
-; $Id: ircd-croatian.lang 33 2005-10-02 20:50:00Z knight $
+; $Id$
+; $Hybrid: ircd-croatian.lang 33 2005-10-02 20:50:00Z knight $
 
 RPL_WELCOME:             :%s 001 %s :Dobro do¹li na %s Internet Relay Chat Network %s
 RPL_YOURHOST:            :%s 002 %s :Va¹ host je %s, i koristi verziju %s

Index: messages/ircd-french.lang
===================================================================
--- messages/ircd-french.lang	(.../1.0.1)	(revision 183)
+++ messages/ircd-french.lang	(.../1.0.2)	(revision 183)
@@ -1,7 +1,8 @@
 ; ircd-hybrid-7 custom message file
 ; Copyright (C) 2003
 ; Joshua Kwan <joshk@triplehelix.org>
-; $Id: ircd-french.lang 33 2005-10-02 20:50:00Z knight $
+; $Id$
+; $Hybrid: ircd-french.lang 33 2005-10-02 20:50:00Z knight $
 
 RPL_LUSEROP:             :%s 252 %s %d :opérateurs IRC en ligne
 RPL_LOAD2HI:             :%s 263 %s :Veuillez patienter, le serveur est trop occupé

Index: messages/ircd-spanish.lang
===================================================================
--- messages/ircd-spanish.lang	(.../1.0.1)	(revision 183)
+++ messages/ircd-spanish.lang	(.../1.0.2)	(revision 183)
@@ -1,7 +1,8 @@
 ; SOME DESCRIPTIVE TITLE.
 ; Copyright (C) YEAR Free Software Foundation, Inc.
 ; FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
-; $Id: ircd-spanish.lang 33 2005-10-02 20:50:00Z knight $
+; $Id$
+; $Hybrid: ircd-spanish.lang 33 2005-10-02 20:50:00Z knight $
 
 RPL_WELCOME:             :%s 001 %s :Bienvenido al %s Internet Relay Chat Network %s
 RPL_YOURHOST:            :%s 002 %s :Estas en el servidor %s, corriendo la version %s

Index: messages/ircd-swedish.lang
===================================================================
--- messages/ircd-swedish.lang	(.../1.0.1)	(revision 183)
+++ messages/ircd-swedish.lang	(.../1.0.2)	(revision 183)
@@ -2,7 +2,8 @@
 ; Copyright (C) 2000-2005
 ; David Taylor <davidt@yadt.co.uk>, 2000.
 ; Rickard Åberg <shelter@chatjunkies.org>, 2005.
-; $Id: ircd-swedish.lang 660 2006-06-09 18:51:22Z adx $
+; $Id$
+; $Hybrid: ircd-swedish.lang 660 2006-06-09 18:51:22Z adx $
 
 RPL_WELCOME:		 :%s 001 %s :Välkommen till %s Internet Relay Chat Network %s
 RPL_YOURHOST:            :%s 002 %s :Din värd är %s, som kör version %s

Index: messages/ircd-danish.lang
===================================================================
--- messages/ircd-danish.lang	(.../1.0.1)	(revision 183)
+++ messages/ircd-danish.lang	(.../1.0.2)	(revision 183)
@@ -2,7 +2,8 @@
 ; Copyright (C) YEAR Free Software Foundation, Inc.
 ; Xride 
 ; Soren Straarup <xride@x12.dk>, 2001.
-; $Id: ircd-danish.lang 33 2005-10-02 20:50:00Z knight $
+; $Id$
+; $Hybrid: ircd-danish.lang 33 2005-10-02 20:50:00Z knight $
 
 RPL_WELCOME:             :%s 001 %s :Velkommen til %s Internet Rel‘ Netv‘rket %s
 RPL_YOURHOST:            :%s 002 %s :Din v‘rt er %s, k›rer version %s

Index: messages/ircd-dutch.lang
===================================================================
--- messages/ircd-dutch.lang	(.../1.0.1)	(revision 183)
+++ messages/ircd-dutch.lang	(.../1.0.2)	(revision 183)
@@ -1,6 +1,7 @@
 ; ircd-hybrid-7 standard message file - Dutch language
 ; Copyright (C) 2005 Kenneth Pang <nexu.jin@gmail.com>
-; $Id: ircd-dutch.lang 660 2006-06-09 18:51:22Z adx $
+; $Id$
+; $Hybrid: ircd-dutch.lang 660 2006-06-09 18:51:22Z adx $
 
 RPL_WELCOME:             :%s 001 %s :Welkom op het %s Internet Relay Netwerk %s
 RPL_YOURHOST:            :%s 002 %s :Jouw host is %s, werkend met versie %s

Index: messages/ircd-german.lang
===================================================================
--- messages/ircd-german.lang	(.../1.0.1)	(revision 183)
+++ messages/ircd-german.lang	(.../1.0.2)	(revision 183)
@@ -2,7 +2,8 @@
 ; Copyright (C) 2000-2005
 ; David Taylor <davidt@yadt.co.uk>, 2000.
 ; Markus R. <mxr@chatjunkies.org>, 2005. 
-; $Id: ircd-german.lang 660 2006-06-09 18:51:22Z adx $
+; $Id$
+; $Hybrid: ircd-german.lang 660 2006-06-09 18:51:22Z adx $
 
 RPL_WELCOME:		 :%s 001 %s :Wilkommen im %s Internet Relay Chat Netz, %s!
 RPL_YOURHOST:		 :%s 002 %s :Du bist verbunden mit %s, version %s

Index: messages/ircd-brazilian_pt.lang
===================================================================
--- messages/ircd-brazilian_pt.lang	(.../1.0.1)	(revision 183)
+++ messages/ircd-brazilian_pt.lang	(.../1.0.2)	(revision 183)
@@ -1,7 +1,8 @@
 ; ircd-hybrid-7 custom message file
 ; Copyright (C) 2003
 ; Marcelo Lipienski <und3rl1n3d@gmail.com>
-; $Id: ircd-brazilian_pt.lang 33 2005-10-02 20:50:00Z knight $
+; $Id$
+; $Hybrid: ircd-brazilian_pt.lang 33 2005-10-02 20:50:00Z knight $
 
 RPL_WELCOME:		 :%s 001 %s :Bem vindo a %s Internet Relay Chat Network %s
 RPL_YOURHOST:		 :%s 002 %s :Voce esta no servidor %s, rodando a versão %s

Index: modules/m_hash.c
===================================================================
--- modules/m_hash.c	(.../1.0.1)	(revision 183)
+++ modules/m_hash.c	(.../1.0.2)	(revision 183)
@@ -18,7 +18,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_hash.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_hash.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -63,7 +64,7 @@
   mod_del_cmd(&hash_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 static void

Index: modules/m_services.c
===================================================================
--- modules/m_services.c	(.../1.0.1)	(revision 183)
+++ modules/m_services.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_services.c 512 2006-03-04 16:21:54Z michael $
+ *  $Id$
+ *  $Hybrid: m_services.c 512 2006-03-04 16:21:54Z michael $
  */
 /*
  *
@@ -191,7 +192,7 @@
   mod_del_cmd(&os_msgtab);
 }
 
-const char *_version = "$Revision: 512 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/m_info.c
===================================================================
--- modules/m_info.c	(.../1.0.1)	(revision 183)
+++ modules/m_info.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_info.c 201 2005-11-01 11:41:52Z adx $
+ *  $Id$
+ *  $Hybrid: m_info.c 201 2005-11-01 11:41:52Z adx $
  */
 
 #include "stdinc.h"
@@ -56,7 +57,7 @@
 };
 
 #ifndef STATIC_MODULES
-const char *_version = "$Revision: 201 $";
+const char *_version = "$Revision$";
 static struct Callback *info_cb;
 
 static void *

Index: modules/m_gline.c
===================================================================
--- modules/m_gline.c	(.../1.0.1)	(revision 183)
+++ modules/m_gline.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_gline.c 554 2006-04-21 17:01:46Z michael $
+ *  $Id$
+ *  $Hybrid: m_gline.c 554 2006-04-21 17:01:46Z michael $
  */
 
 #include "stdinc.h"
@@ -107,7 +108,7 @@
   delete_capability("GLN");
 }
 
-const char *_version = "$Revision: 554 $";
+const char *_version = "$Revision$";
 #endif
 
 /* mo_gline()

Index: modules/m_time.c
===================================================================
--- modules/m_time.c	(.../1.0.1)	(revision 183)
+++ modules/m_time.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_time.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_time.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -57,7 +58,7 @@
   mod_del_cmd(&time_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 /*
  * m_time

Index: modules/m_rxline.c
===================================================================
--- modules/m_rxline.c	(.../1.0.1)	(revision 183)
+++ modules/m_rxline.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_rxline.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_rxline.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -83,7 +84,7 @@
   mod_del_cmd(&unrxline_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 static int

Index: modules/m_users.c
===================================================================
--- modules/m_users.c	(.../1.0.1)	(revision 183)
+++ modules/m_users.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_users.c 435 2006-02-11 19:21:50Z michael $
+ *  $Id$
+ *  $Hybrid: m_users.c 435 2006-02-11 19:21:50Z michael $
  */
 
 #include "stdinc.h"
@@ -55,7 +56,7 @@
   mod_del_cmd(&users_msgtab);
 }
 
-const char *_version = "$Revision: 435 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/m_kline.c
===================================================================
--- modules/m_kline.c	(.../1.0.1)	(revision 183)
+++ modules/m_kline.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_kline.c 611 2006-05-18 11:43:38Z michael $
+ *  $Id$
+ *  $Hybrid: m_kline.c 611 2006-05-18 11:43:38Z michael $
  */
 
 #include "stdinc.h"
@@ -105,7 +106,7 @@
   delete_capability("KLN");
 }
 
-const char *_version = "$Revision: 611 $";
+const char *_version = "$Revision$";
 #endif
 
 /* Local function prototypes */

Index: modules/m_capture.c
===================================================================
--- modules/m_capture.c	(.../1.0.1)	(revision 183)
+++ modules/m_capture.c	(.../1.0.2)	(revision 183)
@@ -19,12 +19,13 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_capture.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_capture.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
 #include "tools.h"
-#include "common.h"  
+#include "common.h"
 #include "handlers.h"
 #include "client.h"
 #include "hash.h"
@@ -35,6 +36,7 @@
 #include "numeric.h"
 #include "s_conf.h"
 #include "s_serv.h"
+#include "s_user.h"
 #include "send.h"
 #include "list.h"
 #include "irc_string.h"
@@ -86,7 +88,7 @@
   mod_del_cmd(&heal_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 /* mo_capture
@@ -143,7 +145,10 @@
                                target_p->host, source_p->name, reason);
           sendto_one(target_p, form_str(RPL_YOURECAPTURED),
                      me.name, target_p->name, reason, ServerInfo.help_channel);
+
+          unsigned int old = target_p->umodes;
           SetCaptured(target_p);
+          send_umode_out(target_p, target_p, old);
         }
 
         sendto_one(source_p, form_str(RPL_ISCAPTURED),
@@ -197,7 +202,10 @@
       {
         sendto_one(target_p, form_str(RPL_YOURECAPTURED),
                    me.name, target_p->name, reason, ServerInfo.help_channel);
+
+        unsigned int old = target_p->umodes;
         SetCaptured(target_p);
+        send_umode_out(target_p, target_p, old);
         ++matches;
       }
     }
@@ -245,7 +253,9 @@
       {
         if (IsCaptured(target_p))
         {
+          unsigned int old = target_p->umodes;
           ClearCaptured(target_p);
+          send_umode_out(target_p, target_p, old);
 
           sendto_realops_flags(UMODE_ALL, L_ALL, "Received UNCAPTURE message for %s (%s@%s). From %s",
                                target_p->name, target_p->username,
@@ -301,7 +311,10 @@
       if (match(nick, target_p->name) &&
           match(host, target_p->host) && match(user, target_p->username))
       {
+        unsigned int old = target_p->umodes;
         ClearCaptured(target_p);
+        send_umode_out(target_p, target_p, old);
+
         sendto_one(target_p, form_str(RPL_YOUREUNCAPTURED), me.name, target_p->name);
         ++matches;
       }

